package com.liquidnet.service.sweet.vo;

import com.liquidnet.service.sweet.dto.SweetManualArtistList2Dto;
import lombok.Data;

import java.util.ArrayList;

@Data
public class SweetArtistsWatchVo implements Cloneable {
    private String uid;
    private ArrayList<String> artistsIdList;

    private static final SweetArtistsWatchVo obj = new SweetArtistsWatchVo();
    public static SweetArtistsWatchVo getNew() {
        try {
            return (SweetArtistsWatchVo) obj.clone();
        } catch (CloneNotSupportedException e) {
            return new SweetArtistsWatchVo();
        }
    }
}
